about summary refs log tree commit diff
path: root/mkrootfs.sh.in
diff options
context:
space:
mode:
authorJuan RP <xtraeme@gmail.com>2015-02-12 09:14:22 +0100
committerJuan RP <xtraeme@gmail.com>2015-02-12 09:14:22 +0100
commitc332eae7819948a3b94062647a9539dd1a9f5087 (patch)
tree5c3ee277114d9d1c0361c2a8783bd506df0166dc /mkrootfs.sh.in
parenta7ed58c4fb2140c0c3306d3dcc45e5a03c764315 (diff)
downloadhrmpf-c332eae7819948a3b94062647a9539dd1a9f5087.tar.gz
hrmpf-c332eae7819948a3b94062647a9539dd1a9f5087.tar.xz
hrmpf-c332eae7819948a3b94062647a9539dd1a9f5087.zip
mkrootfs: die if $QEMU_BIN is not in PATH.
Diffstat (limited to 'mkrootfs.sh.in')
-rw-r--r--mkrootfs.sh.in3
1 files changed, 3 insertions, 0 deletions
diff --git a/mkrootfs.sh.in b/mkrootfs.sh.in
index 2300283..d082ba2 100644
--- a/mkrootfs.sh.in
+++ b/mkrootfs.sh.in
@@ -155,6 +155,9 @@ for f in chroot tar xbps-install xbps-reconfigure xbps-query; do
         die "$f binary is missing in your system, exiting."
     fi
 done
+if ! $QEMU_BIN -version >/dev/null 2>&1; then
+    die "$QEMU_BIN binary is missing in your system, exiting."
+fi
 if type pixz >/dev/null 2>&1; then
     XZ=pixz
 else